Main Page Class List Class Members

# Nv::Blast::BooleanToolOutputDataImpl Struct Reference

`#include <NvBlastExtRTImpl.h>`

Inheritance diagram for Nv::Blast::BooleanToolOutputDataImpl:

List of all members.

## Public Member Functions
uint32_t | addEdge (const BooleanResultEdge &) override
uint32_t | addFfResult (const FacetFacetResult &) override
uint32_t | addVertex (const Vertex &) override
| BooleanToolOutputDataImpl (bool createOnlyEdgeBuffer=false)
void | copyVerticesAndResults (const BooleanToolOutputData *other) override
uint32_t | edgesCount () const override
uint32_t | ffResultCount () const override
BooleanResultEdge & | getNewEdge () override
FacetFacetResult & | getNewFfResult () override
Vertex & | getNewVertex () override
void | release () override
void | reset () override
void | resetEdges () override
uint32_t | verticesCount () const override
## Public Attributes
bool | isVerticesAndResultsAllocated
std::atomic< uint32_t > * | mEdgesCount
std::atomic< uint32_t > * | mFfResultCount
std::atomic< uint32_t > * | mVerticesCount

## Constructor & Destructor Documentation

Nv::Blast::BooleanToolOutputDataImpl::BooleanToolOutputDataImpl | ( | bool | createOnlyEdgeBuffer = `false` | ) |

## Member Function Documentation

uint32_t Nv::Blast::BooleanToolOutputDataImpl::addEdge | ( | const BooleanResultEdge & |  | ) | `[override, virtual]`

Implements Nv::Blast::BooleanToolOutputData.

uint32_t Nv::Blast::BooleanToolOutputDataImpl::addFfResult | ( | const FacetFacetResult & |  | ) | `[override, virtual]`

Implements Nv::Blast::BooleanToolOutputData.

uint32_t Nv::Blast::BooleanToolOutputDataImpl::addVertex | ( | const Vertex & |  | ) | `[override, virtual]`

Implements Nv::Blast::BooleanToolOutputData.

void Nv::Blast::BooleanToolOutputDataImpl::copyVerticesAndResults | ( | const BooleanToolOutputData * | other | ) | `[override, virtual]`

Implements Nv::Blast::BooleanToolOutputData.

uint32_t Nv::Blast::BooleanToolOutputDataImpl::edgesCount | ( |  | ) | const`[inline, override, virtual]`

Implements Nv::Blast::BooleanToolOutputData.

uint32_t Nv::Blast::BooleanToolOutputDataImpl::ffResultCount | ( |  | ) | const`[inline, override, virtual]`

Implements Nv::Blast::BooleanToolOutputData.

BooleanResultEdge& Nv::Blast::BooleanToolOutputDataImpl::getNewEdge | ( |  | ) | `[override, virtual]`

Implements Nv::Blast::BooleanToolOutputData.

FacetFacetResult& Nv::Blast::BooleanToolOutputDataImpl::getNewFfResult | ( |  | ) | `[override, virtual]`

Implements Nv::Blast::BooleanToolOutputData.

Vertex& Nv::Blast::BooleanToolOutputDataImpl::getNewVertex | ( |  | ) | `[override, virtual]`

Implements Nv::Blast::BooleanToolOutputData.

void Nv::Blast::BooleanToolOutputDataImpl::release | ( |  | ) | `[override, virtual]`

Implements Nv::Blast::BooleanToolOutputData.

void Nv::Blast::BooleanToolOutputDataImpl::reset | ( |  | ) | `[override, virtual]`

Implements Nv::Blast::BooleanToolOutputData.

void Nv::Blast::BooleanToolOutputDataImpl::resetEdges | ( |  | ) | `[override, virtual]`

Implements Nv::Blast::BooleanToolOutputData.

uint32_t Nv::Blast::BooleanToolOutputDataImpl::verticesCount | ( |  | ) | const`[inline, override, virtual]`

Implements Nv::Blast::BooleanToolOutputData.

## Member Data Documentation

bool Nv::Blast::BooleanToolOutputDataImpl::isVerticesAndResultsAllocated

std::atomic<uint32_t>* Nv::Blast::BooleanToolOutputDataImpl::mEdgesCount

std::atomic<uint32_t>* Nv::Blast::BooleanToolOutputDataImpl::mFfResultCount

std::atomic<uint32_t>* Nv::Blast::BooleanToolOutputDataImpl::mVerticesCount

The documentation for this struct was generated from the following file:

- sdk/extensions/RT/source/NvBlastExtRTImpl.h